# Interface IProxyChangeListener

public interface IProxyChangeListener
A listener that, when registered with the `IProxyService`, gets notified when the proxy information changes.

This interface may be implemented by clients

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`void`
`proxyInfoChanged(IProxyChangeEvent event)`
Callback that occurs when information related to proxies has changed.

## Method Details

### proxyInfoChanged

void proxyInfoChanged(IProxyChangeEvent event)
Callback that occurs when information related to proxies has changed.

Parameters:
  `event` - the event that describes the change